package com.qxgmat.dto.admin.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.QuestionNo;

@Dto(entity = QuestionNo.class)
public class QuestionNoDto {
    private Integer id;

    /**
     * 题目id
     */
    private Integer questionId;

    /**
     * 模块：examination, exercise,sentence
     */
    private String module;

    /**
     * 人工id
     */
    private String no;

    /**
     * 对应模块结构信息，逗号分隔
     */
    private Integer[] moduleStruct;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public Integer[] getModuleStruct() {
        return moduleStruct;
    }

    public void setModuleStruct(Integer[] moduleStruct) {
        this.moduleStruct = moduleStruct;
    }
}
